package com.community.huiju.model;

import java.util.Date;
import java.util.List;

public class TaVisitor {
    private Integer id;

    private Integer communityId;

    private String visitorName;

    private String visitorTel;

    private String visitorNum;

    private Date visitorStartTime;

    private Date visitorEndTime;

    private String drivingStatus;

    private String payEntity;

    private String visitorCode;

    private Integer taUserId;

    private Integer createUser;

    private Date createDate;

    private Integer updateUser;

    private Date updateDate;

    private List<String> carLicense;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getCommunityId() {
        return communityId;
    }

    public void setCommunityId(Integer communityId) {
        this.communityId = communityId;
    }

    public String getVisitorName() {
        return visitorName;
    }

    public void setVisitorName(String visitorName) {
        this.visitorName = visitorName == null ? null : visitorName.trim();
    }

    public String getVisitorTel() {
        return visitorTel;
    }

    public void setVisitorTel(String visitorTel) {
        this.visitorTel = visitorTel == null ? null : visitorTel.trim();
    }

    public String getVisitorNum() {
        return visitorNum;
    }

    public void setVisitorNum(String visitorNum) {
        this.visitorNum = visitorNum == null ? null : visitorNum.trim();
    }
    
    public Date getVisitorStartTime() {
        return visitorStartTime;
    }
    
    public void setVisitorStartTime(Date visitorStartTime) {
        this.visitorStartTime = visitorStartTime;
    }
    
    public Date getVisitorEndTime() {
        return visitorEndTime;
    }

    public void setVisitorEndTime(Date visitorEndTime) {
        this.visitorEndTime = visitorEndTime;
    }

    public String getDrivingStatus() {
        return drivingStatus;
    }

    public void setDrivingStatus(String drivingStatus) {
        this.drivingStatus = drivingStatus == null ? null : drivingStatus.trim();
    }

    public String getPayEntity() {
        return payEntity;
    }

    public void setPayEntity(String payEntity) {
        this.payEntity = payEntity == null ? null : payEntity.trim();
    }

    public String getVisitorCode() {
        return visitorCode;
    }

    public void setVisitorCode(String visitorCode) {
        this.visitorCode = visitorCode == null ? null : visitorCode.trim();
    }

    public Integer getTaUserId() {
        return taUserId;
    }

    public void setTaUserId(Integer taUserId) {
        this.taUserId = taUserId;
    }

    public Integer getCreateUser() {
        return createUser;
    }

    public void setCreateUser(Integer createUser) {
        this.createUser = createUser;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Integer getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(Integer updateUser) {
        this.updateUser = updateUser;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public List<String> getCarLicense() {
        return carLicense;
    }

    public void setCarLicense(List<String> carLicense) {
        this.carLicense = carLicense;
    }

}